---
title: How to use KISS as an assist app?
categories:
  - Advanced
description: "Enjoying KISS, but don't want to replace your traditional launcher?"
type: Document
---

KISS was built to be used as a launcher.
However, if you'd rather keep your default launcher and only use KISS for search, you can setup KISS to appear automatically when you long press the Home button. This is called an "assist app" in Android.

![Example assist app](/screenshots/assist-app.png)

> Please note that assist apps have a lot of privileges, and can theoretically read your screen. KISS doesn't use those features.

The way to set KISS as the default assist app differs slightly across Android versions, but the general gist is the same.

### Android 8
Open the system settings, then search for "assist app".

![Settings](/screenshots/assist-app-settings-android-8-1.png)

Click on the existing app ("Enhanced Google Services" in the screenshot), then select KISS.

![Settings](/screenshots/assist-app-settings-android-8-2.png)
### Android 7

Go to `Settings > Apps > Cog > Assist & voice input > Assist app`

Select KISS.

### Android 6

Go to `Settings > Apps > Cog > Default Apps > Assist & voice input > Assist app`.

![Settings](/screenshots/assist-app-settings-android-6-1.png)

Click on the existing app ("None" in the screenshot), then select KISS.

![Settings](/screenshots/assist-app-settings-android-6-2.png)

Click on "Agree".

### Android 5

Go to `Settings > Apps > Google App (Or current default app) > CLEAR DEFAULTS`

Then hold home and select KISS as default.


> This answer is based on [this Reddit thread](https://www.reddit.com/r/opensource/comments/5i47sr/kiss_an_open_source_blazingly_fast_launcher_for/)
